apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: openshift-gitops

resources:
- ../../../applications/storageclasses
- ../../../applications/ocp-api-certificate
- ../../../applications/elasticsearch-operator
- ../../../applications/oauth
- ../../../applications/ntp-config
- ../../../applications/prometheus-config

patches:
  - patch: |-
      - op: replace
        path: /spec/project
        value: "cluster-config-dev"
    target:
      kind: Application
  - patch: |-
      - op: replace
        path: /spec/source/path
        value: "overlays/dev/custom/ocp-api-certificate"
    target:
      name: ocp-api-certificate
  - patch: |-
      - op: replace
        path: /spec/source/path
        value: "overlays/dev/custom/storageclasses"
      - op: replace
        path: /spec/source/repoURL
        value: "ssh://git@git.example.com:8001/repo/base-repo.git"
    target:
      name: storageclasses
  - patch: |-
      - op: replace
        path: /spec/source/path
        value: "overlays/dev/custom/oauth"
      - op: replace
        path: /spec/source/repoURL
        value: "ssh://git@git.example.com:8001/repo/base-repo.git"
    target:
      name: oauth
  - patch: |-
      - op: replace
        path: /spec/source/path
        value: "overlays/dev/custom/ntp-config"
      - op: replace
        path: /spec/source/repoURL
        value: "ssh://git@git.example.com:8001/repo/base-repo.git"
    target:
      name: ntp-config
  - patch: |-
      - op: replace
        path: /spec/source/path
        value: "overlays/dev/custom/elasticsearch-operator"
      - op: replace
        path: /spec/source/repoURL
        value: "ssh://git@git.example.com:8001/repo/base-repo.git"
    target:
      name: elasticsearch-operator
  - patch: |-
      - op: replace
        path: /spec/source/path
        value: "overlays/dev/custom/prometheus-config"
      - op: replace
        path: /spec/source/repoURL
        value: "ssh://git@git.example.com:8001/repo/base-repo.git"       
    target:
      name: prometheus-config 
